Page MenuHomePhabricator

Link to task should appear before message in phabricator emails
Closed, DeclinedPublic

Description

Upstream: https://secure.phabricator.com/T6788 merged into https://secure.phabricator.com/T6600

Due to the "footer" of a phab email alert not altering within a thread the link to the task is collapsed by gmail, requiring the user to first expand the collapsed region before being able to go to the task, if the link were moved up to the top of the message this would not happen.

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Qgil triaged this task as Lowest priority.Nov 4 2014, 1:25 PM
Qgil added a subscriber: Qgil.

I have been thinking about this as well. Then again, the current behavior saves you the common URL appearing in every post of a thread, and it is fair to think that users only click on a % of notification threads (the ones they plan to reply probably).

I had typed the task upstream and I was about to press "Submit", when I though that maybe the current behavior is actually better.

I think the trade off (email being visibly one line longer) balances out having to expand EVERY TIME you want to click through to phabricator.

Make this a user option.

Aklapper updated the task description. (Show Details)Feb 16 2015, 10:31 AM
Aklapper moved this task from Ready To Go to Upstreamed on the Phabricator (Upstream) board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM
epriestley added a subscriber: epriestley.

Upstream, https://secure.phabricator.com/D20561 will add a "View Task" button to the upper-right corner of HTML email from Maniphest.

The underlying issue is sort of a symptom of GMail's trimming behavior: GMail folds/trims identical suffixes of threaded messages. A "fix" for this behavior would be to choose a point in each email where subsequent footers are redundant and insert some random text there, so the mail would become:

TASK DETAIL
https://phabricator.wikimedia.org/T1050

(Shhh, ignore this random text to stop GMail from folding above this line: alsdknfalkndf23infn1nferwnlk)

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/email/

In HTML mail we could probably effectively hide this text (by coloring it white and/or making it 1px tall or just putting it in a display: none element).

I dislike adding Gmail-specific features to the upstream and I think the "View Task" button is probably good enough here and likely resolves the actual issue, but it's something to think about.

Aklapper closed this task as Declined.Jun 9 2019, 12:08 AM
Aklapper added a subscriber: Aklapper.

I think the "View Task" button is probably good enough here and likely resolves the actual issue

Indeed. Thanks for the update!